Get all messages

get

/api/boss/data/objects/ora/cxServiceCore/helpdesk/v1/$en/hrHelpDeskRequests/$views/messages

Get all messages

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view messages for resource HR Help Desk Requests
Body ()
Root Schema : hrHelpDeskRequests_view-messages
Match All
Get all messages
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : hrHelpDeskRequests_view-messages-allOf[1]
Type: object
Get all messages
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : closedDate
Match All
Show Source
Nested Schema : createdBy
Match All
Show Source
  • Read Only: true
    Maximum Length: 64
  • Title: Source System Help Desk Request Created By
    The Help Desk user who created the record.
Nested Schema : criticalFlag
Match All
Show Source
  • Default Value: false
  • Title: Critical
    Indicates whether the help desk request is critical. If critical, the value is Y, else the value is N.
Nested Schema : lastReopenDate
Match All
Show Source
Nested Schema : lastResolvedDate
Match All
Show Source
Nested Schema : messages
Match All
Show Source
Nested Schema : openDate
Match All
Show Source
Nested Schema : problemDescription
Match All
Show Source
  • Maximum Length: 1000
  • Title: Problem Description
    The help desk request's problem description or statement and the steps to reproduce the issue.
Nested Schema : resolveDescription
Match All
Show Source
Nested Schema : srId
Match All
Show Source
Nested Schema : statusTypeCd
Match All
Show Source
Nested Schema : timeCreated
Match All
Show Source
Nested Schema : timeUpdated
Match All
Show Source
  • Read Only: true
  • Title: Last Updated Date
    The date and time when the help desk request was last updated.
Nested Schema : title
Match All
Show Source
  • Maximum Length: 400
  • Title: Title
    The brief title of the help desk request.
Nested Schema : updatedBy
Match All
Show Source
Nested Schema : messages-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : channelType
Match All
Show Source
Nested Schema : messageSubType
Match All
Show Source
Nested Schema : messageType
Match All
Show Source
Nested Schema : parentMessage
Match All
Show Source
Nested Schema : postedByParty
Match All
Show Source
Nested Schema : processingStatusCd
Match All
The notification processing status code.
Show Source
  • Title: Notification Processing Status Code
    Default Value: ORA_SVC_READY
    The notification processing status code.
  • Allowed Values: [ "ORA_SVC_READY", "ORA_SVC_BATCH_READY", "ORA_SVC_WAITING", "ORA_SVC_PROCESSING", "ORA_SVC_SUCCESS", "ORA_SVC_ERROR", "ORA_SVC_PENDING_RETRY", "ORA_SVC_REPROCESSING", "ORA_SVC_SETUP_ERROR" ]
Nested Schema : source
Match All
Show Source
Nested Schema : statusCd
Match All
The status code of the help desk request.
Show Source
  • Title: Status
    The status code of the help desk request.
  • Allowed Values: [ "ORA_SVC_DRAFT", "ORA_SVC_CORRECTED", "ORA_SVC_COMMITTED" ]
Nested Schema : visibilityCd
Match All
The list of values for the privacy level of the message such as Internal and External.
Show Source
  • Title: Visibility Code
    The list of values for the privacy level of the message such as Internal and External.
  • Allowed Values: [ "ORA_SVC_EXTERNAL", "ORA_SVC_INTERNAL" ]
Nested Schema : channelType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : messageSubType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : messageType-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : parentMessage-allOf[1]
Type: object
Show Source
  • Title: Message ID
    Read Only: true
    The unique identifier of a message.
  • Title: Message Number
    Maximum Length: 30
    The unique identifier of the message record in the original source system from where the message was imported. This is applicable if the Help Desk request message was imported from another system.
Nested Schema : postedByParty-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
  • Read Only: true
  • Title: Party Name
    The name of the party.
Nested Schema : registryId
Match All
Show Source
  • Read Only: true
  • Title: Registry ID
    The public key generated or user-entered for a given party.
Nested Schema : source-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Nested Schema : statusTypeCd
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ORA_SVC_NEW", "ORA_SVC_INPROGRESS", "ORA_SVC_WAITING", "ORA_SVC_RESOLVED", "ORA_SVC_CLOSED" ]
Back to Top